Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.msu.cme.rdp.classifier.comparison
Class ComparisonManager

    java.lang.Object
      java.lang.Thread
          edu.msu.cme.rdp.classifier.comparison.ComparisonManager

All Implemented Interfaces:
  java.lang.Runnable

    public class ComparisonManager

extends java.lang.Thread

Nested Class Summary
`(package private) class` | `ComparisonManager.Timer` The timer will wake up and check the time set by jsp, if the time expired, which indicates the jsp page has been refreshed for a long time, abort the current seqmatch thread.

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`private static java.lang.String` | `ABORTED`
`private ComparisonBrowserBean` | `browserBean`
`private static ClassifierFactory` | `classifierFactory`
`private static java.lang.String` | `COMPLETED`
`private boolean` | `exceedLimit`
`private static java.lang.String` | `FAILED`
`private java.util.Date` | `lastCheckTime`
`private static java.lang.String` | `NOT_STARTED`
`private int` | `numOfDone`
`private static java.lang.String` | `RUNNING`
`private java.lang.String` | `s1Filename`
`private java.util.ArrayList` | `s1SeqList`
`private java.lang.String` | `s2Filename`
`private java.util.ArrayList` | `s2SeqList`
`private static java.lang.String` | `SAMPLE1`
`private static java.lang.String` | `SAMPLE2`
`private java.lang.String` | `status`
`private ComparisonManager.Timer` | `timer`
`private int` | `totalNumOfSequence`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ComparisonManager(java.io.InputStream inputStream1, java.lang.String f1, java.io.InputStream inputStream2, java.lang.String f2)`

Method Summary
`ComparisonBrowserBean` | `getBrowserBean()`
`private java.util.Date` | `getLastCheckTime()`
`int` | `getProgress()`
`java.lang.String` | `getS1Filename()`
`java.lang.String` | `getS2Filename()`
`java.lang.String` | `getStatus()`
`boolean` | `isAborted()`
`boolean` | `isCompleted()`
`boolean` | `isRunning()`
`private TaxonTree` | `reconstructTree(ClassificationResult result, TaxonTree root, java.lang.String sample)`
`void` | `run()`
`void` | `setAbort(boolean a)`
`void` | `setCheckTime(int sec)`
`private void` | `setLastCheckTime(java.util.Date d)`
`private void` | `setStatus(java.lang.String s)`
`void` | `start()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### classifierFactory

    private static ClassifierFactory classifierFactory

### lastCheckTime

    private java.util.Date lastCheckTime

### timer

    private ComparisonManager.Timer timer

### totalNumOfSequence

    private int totalNumOfSequence

### exceedLimit

    private boolean exceedLimit

### numOfDone

    private int numOfDone

### browserBean

    private ComparisonBrowserBean browserBean

### s1SeqList

    private java.util.ArrayList s1SeqList

### s2SeqList

    private java.util.ArrayList s2SeqList

### s1Filename

    private java.lang.String s1Filename

### s2Filename

    private java.lang.String s2Filename

### SAMPLE1

    private static final java.lang.String SAMPLE1

See Also:
  Constant Field Values

### SAMPLE2

    private static final java.lang.String SAMPLE2

See Also:
  Constant Field Values

### COMPLETED

    private static final java.lang.String COMPLETED

See Also:
  Constant Field Values

### NOT_STARTED

    private static final java.lang.String NOT_STARTED

See Also:
  Constant Field Values

### RUNNING

    private static final java.lang.String RUNNING

See Also:
  Constant Field Values

### ABORTED

    private static final java.lang.String ABORTED

See Also:
  Constant Field Values

### FAILED

    private static final java.lang.String FAILED

See Also:
  Constant Field Values

### status

    private java.lang.String status

Constructor Detail

### ComparisonManager

    public ComparisonManager(java.io.InputStream inputStream1,
                             java.lang.String f1,
                             java.io.InputStream inputStream2,
                             java.lang.String f2)

Method Detail

### start

    public void start()

  Overrides:
    `start` in class `java.lang.Thread`

### getS1Filename

    public java.lang.String getS1Filename()

### getS2Filename

    public java.lang.String getS2Filename()

### setStatus

    private void setStatus(java.lang.String s)

### getStatus

    public java.lang.String getStatus()

### setCheckTime

    public void setCheckTime(int sec)

### getLastCheckTime

    private java.util.Date getLastCheckTime()

### getProgress

    public int getProgress()

### isAborted

    public boolean isAborted()

### isCompleted

    public boolean isCompleted()

### isRunning

    public boolean isRunning()

### setAbort

    public void setAbort(boolean a)

### setLastCheckTime

    private void setLastCheckTime(java.util.Date d)

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### reconstructTree

    private TaxonTree reconstructTree(ClassificationResult result,
                                      TaxonTree root,
                                      java.lang.String sample)

### getBrowserBean

    public ComparisonBrowserBean getBrowserBean()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD